#ifndef __ESP_NETIF_NOW_H__
#define __ESP_NETIF_NOW_H__

#include "esp_netif.h"
#include "esp32-lora.h"

typedef struct esp_netif_lora_config_t {
  uint8_t mac[6];
  esp_netif_ip_info_t ip_info;
  lora32_cfg_t *lora;
} esp_netif_lora_config_t;

esp_err_t esp_netif_lora_init(esp_netif_lora_config_t *netif_lora_config);

#endif
